Index: src/uk/me/parabola/mkgmap/reader/osm/POIGeneratorHook.java
===================================================================
--- src/uk/me/parabola/mkgmap/reader/osm/POIGeneratorHook.java	(revision 3996)
+++ src/uk/me/parabola/mkgmap/reader/osm/POIGeneratorHook.java	(working copy)
@@ -26,6 +26,7 @@
 import uk.me.parabola.imgfmt.app.Coord;
 import uk.me.parabola.log.Logger;
 import uk.me.parabola.mkgmap.osmstyle.NameFinder;
+import uk.me.parabola.mkgmap.osmstyle.function.AreaSizeFunction;
 import uk.me.parabola.util.EnhancedProperties;
 
 /**
@@ -69,6 +70,7 @@
 	private boolean poisToAreas = false;
 	private boolean poisToLines = false;
 	private NameFinder nameFinder;
+	private AreaSizeFunction areaSizeFunction = new AreaSizeFunction();
 	
 	/** Name of the bool tag that is set to true if a POI is created from an area */
 	public static final short AREA2POI_TAG = TagDict.getInstance().xlate("mkgmap:area2poi");
@@ -235,7 +237,7 @@
 		if (poisToAreas == false) {
 			return;
 		}
-
+		
 		// get the coord where the poi is placed
 		Coord poiCoord = null;
 		// do we have some labeling coords?
@@ -262,7 +264,7 @@
 			// use the common center point of the area
 			poiCoord = polygon.getCofG();
 		}
-		
+		areaSizeFunction.value(polygon);
 		Node poi = createPOI(polygon, poiCoord, AREA2POI_TAG); 
 		saver.addNode(poi);
 	}
